CREATE TABLE bm_te_template_code (
    ID               NUMBER(18, 0) ,
    TEMPLATE_ID      NUMBER(18, 0)     NOT NULL,
    CODE             NUMBER(3, 0)      NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    GUID             VARCHAR2(1020)    NOT NULL,
    ID               NUMBER(18, 0) ,
    TEMPLATE_ID      NUMBER(18, 0)     NOT NULL,
    CODE             NUMBER(3, 0)      NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    GUID             VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_te_template_code PRIMARY KEY (ID, ID)
);
